package com.qiuguo.iot.data.resp.device;
import com.qiuguo.iot.data.entity.device.DeviceUserTalkRecordEntity;
import lombok.Data;

import java.time.DayOfWeek;
import java.time.format.DateTimeFormatter;
import java.util.Date;

/**
* <p>
* </p>*设备信息对话记录返回类
* @author wulin
* @since 2023-08-07
*/

@Data
public class DeviceUserTalkRecordResp {
    //
    private Long id;
    //当前用户当前设备问话一次标识（考虑到可能有多个第三方回答）
    //创建时间
    private Date createTime;
    private Integer askNumber;
    //用户id
    private Long userId;
    //设备id
    private Long deviceId;
    //问话内容
    private String askValue;
    //回答类型0：文本问答 1：iOT控制 2：天气 3：闹钟 4：U3D
    private Integer askType;
    //问题关键字
    private String askKey;
    //回答内容（传给box）
    private String answerValue;
    //回答第三方模型（third_config_info），ask_type=4时为talk_answer_config的id
    private Long answerThirdId;
    //第三方回答原始内容
    private String answerThirdValue;
    //是否返回给用户：0 否 1 是
    private Integer isReturn;

    public DeviceUserTalkRecordResp(){
    }
    public DeviceUserTalkRecordResp(DeviceUserTalkRecordEntity entity){
        id = entity.getId();

        createTime = entity.getCreateTime();
        askNumber = entity.getAskNumber();
        userId = entity.getUserId();
        deviceId = entity.getDeviceId();
        askValue = entity.getAskValue();
        askType = entity.getAskType();
        askKey = entity.getAskKey();
        answerValue = entity.getAnswerValue();
        answerThirdId = entity.getAnswerThirdId();
        answerThirdValue = entity.getAnswerThirdValue();
        isReturn = entity.getIsReturn();
    }
}